package cn.stylefeng.team.form.api.enums;

import lombok.Getter;

@Getter
public enum FormComponentEnum {

    INPUT("input"),

    TEXTAREA("textarea"),

    NUMBER("number"),

    PASSWORD("password"),

    SELECT("select"),

    RADIO("radio"),

    CHECKBOX("checkbox"),

    SWITCH("switch"),

    DATE("date"),

    TIME("time"),

    DATETIME("datetime"),

    PHONE("phone"),

    EMAIL("email"),

    IDCARD("idcard"),

    UPLOAD("upload"),

    UPLOAD_PIC("upload-pic"),

    SELECT_USER("select-user"),

    SELECT_ORG("select-org"),

    SELECT_POSITION("select-position"),

    TABLE("table"),

    TITLE("title"),

    COLLAPSE("collapse"),

    CITY("city"),

    DATE_RANGE("date-range"),

    CUSTOM_SELECT("custom-select"),

    MAP("map"),

    PROGRESS("progress"),

    SELECT_DICT("select-dict"),

    ORG_USER("org-user"),

    SELECT_ROLE("select-role"),

    TREE_SELECT("tree-select"),

    GRID("grid"),

    COL("col"),

    DIVIDE_LINE("divide-line");

    private final String componentCode;

    FormComponentEnum(String componentCode) {
        this.componentCode = componentCode;
    }

}
